ghc-7.0.3: The GHC API

Vectorise.Utils.PADict

Synopsis

- mkPADictType :: Type -> VM Type
- paDictArgType :: TyVar -> VM (Maybe Type)
- paDictOfType :: Type -> VM (Maybe CoreExpr)
- paDFunType :: TyCon -> VM Type
- paDFunApply :: CoreExpr -> [Type] -> VM CoreExpr
- paMethod :: (Builtins -> Var) -> String -> Type -> VM CoreExpr

# Documentation

mkPADictType :: Type -> VM Type

paDictArgType :: TyVar -> VM (Maybe Type)

paDictOfType :: Type -> VM (Maybe CoreExpr)

Get the PA dictionary for some type, or `Nothing` if there isn't one.

paDFunType :: TyCon -> VM Type

paDFunApply :: CoreExpr -> [Type] -> VM CoreExpr

paMethod :: (Builtins -> Var) -> String -> Type -> VM CoreExpr